# $Revision: 1.39 $, $Date: 2009/06/23 06:47:39 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Flock
Summary:	File::Flock - file locking with flock
Summary(pl.UTF-8):	File::Flock - blokowanie plików za pomocą flock
Name:		perl-File-Flock
Version:	2008.01
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	63b44b6033a0edd8d57d283089083158
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Flock Perl module is a wrapper around the flock() call.

%description -l pl.UTF-8
Moduł Perla File::Flock umożliwia korzystanie z wywołania flock().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG
%{perl_vendorlib}/File/Flock.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Flock.spec,v $
Revision 1.39  2009/06/23 06:47:39  amateja
- updated to 2008.01

Revision 1.38  2008/07/27 22:34:20  arekm
- release 2

Revision 1.37  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.35  2004/12/01 12:50:52  radek
- autoupdated to 104.111901

Revision 1.34  2004/11/03 22:30:21  paladine
- formatting

Revision 1.33  2004/05/07 01:22:53  ankry
- rel. 5

Revision 1.32  2004/05/06 18:09:35  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/25 19:57:11  ankry
- added tests

Revision 1.30  2004/04/20 13:34:34  ankry
- summary/description/license fixes

Revision 1.29  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:37  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 19:09:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:38:35  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:32:14  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/11/26 00:13:57  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.20  2002/07/10 08:47:14  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:31:20  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:13:56  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:26:04  depesz
adapterized

Revision 1.14  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/06/06 16:24:50  mis
- autoupdated to 101.060501

Revision 1.12  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.11  2001/04/17 12:08:50  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/02/05 21:08:55  kloczek
- updated to 100.092501.

Revision 1.8  2001/01/03 21:16:07  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:51  baggins
- translated kloczkish into english

Revision 1.2  2000/02/17 20:44:06  pius
- updated to 99.121701

Revision 1.1  1999/11/06 00:52:08  pius
- initial release
